@import url('https://fonts.googleapis.com/css2?family=Cherry+Bomb+One&family=Indie+Flower&display=swap');

:root {
  --clr-background: rgb(210, 252, 239);
  --clr-text: rgb(71, 43, 82);
  --clr-textshadow1: rgba(74, 122, 255, 0.9);
  --clr-textshadow2: rgb(250, 154, 90, 0.9);

  /*header and footer colors*/
  --clr-outline: var(--clr-textshadow1);
  --clr-outline-accent: var(--clr-textshadow2);

  --clr-orange1: rgba(250, 154, 90, 0.5);
  --grad-orange1: linear-gradient(
    180deg,
    rgba(250, 154, 90, 0.8),
    rgba(250, 154, 90, 0.1)
  );
  --clr-orange2: rgb(250, 133, 79, 0.5);
  --grad-orange2: linear-gradient(
    180deg,
    rgba(250, 133, 79, 0.9),
    rgba(250, 133, 79, 0.1)
  );
  --clr-orange3: rgb(247, 123, 75, 0.5);
  --grad-orange3: linear-gradient(
    180deg,
    rgba(247, 123, 75, 0.9),
    rgba(247, 123, 75, 0.1)
  );
  --clr-orange4: rgb(253, 99, 71, 0.5);
  --grad-orange4: linear-gradient(
    180deg,
    rgba(253, 99, 71, 0.9),
    rgba(253, 99, 71, 0.2)
  );
  --clr-orange5: rgb(255, 74, 74, 0.5);
  --grad-orange5: linear-gradient(
    180deg,
    rgba(255, 74, 74, 0.9),
    rgba(255, 74, 74, 0.3)
  );
  --grad-raibow1: linear-gradient(
    90deg,
    rgb(250, 154, 90, 0.9),
    rgb(255, 74, 74, 0.9)
  );
  --grad-raibow2: linear-gradient(
    90deg,
    rgb(252, 248, 14, 0.9),
    rgb(255, 74, 74, 0.9)
  );
  --grad-raibow3: linear-gradient(
    90deg,
    rgb(134, 252, 24, 0.9),
    rgba(252, 140, 13, 0.9)
  );
  --grad-raibow4: linear-gradient(
    90deg,
    rgba(10, 179, 123, 0.8),
    rgba(8, 109, 75, 0.9)
  );
  --grad-raibow5: linear-gradient(
    90deg,
    rgb(29, 252, 233, 0.9),
    rgba(74, 122, 255, 0.9)
  );

  --font-lizzo: system-ui, sans-serif;
  --font-handwriting: 'Indie Flower', cursive;
  --font-pumpkin: 'Cherry Bomb One';
}

/* MY STYLES :) */
* {
  scrollbar-color: var(--clr-textshadow1) white;
}

body {
  background-color: var(--clr-background);
  color: var(--clr-text);
  height: 100%;
}

.body-wrapper {
  padding-inline: 2rem;
  max-width: 1200px;
  margin-inline: auto;
}

.heading {
  margin-top: 3rem;
  margin-bottom: 4rem;
}

.line {
  display: inline-block;
}

.heading h1 {
  font-family: var(--font-pumpkin);
  font-size: clamp(2.2rem, 7vw + 1rem, 12rem);
  line-height: 0.8;
  color: var(--clr-text);
  text-transform: uppercase;

  text-shadow: 0.05em 0.05em 0 var(--clr-textshadow1),
    -0.03em -0.03em 0 var(--clr-textshadow2);

  border-radius: 1rem;

  margin-bottom: 3rem;
}

.heading h2 {
  font-family: var(--font-pumpkin);
  font-size: clamp(1.5rem, 4vw + 1rem, 4rem);
  line-height: 0.9;
  border-radius: 1rem;
}

.how-to .grid-wrapper {
  --min-column-size: 550px;
  display: grid;
  grid-template-columns: repeat(
    auto-fit,
    minmax(min(var(--min-column-size), 100%), 1fr)
  );
}
.how-to p {
  font-family: var(--font-handwriting);
  text-shadow: 1px 1px 0px var(--clr-textshadow1),
    2px 2px 0px var(--clr-textshadow1);
  border-radius: 1rem;
  font-size: clamp(1.5rem, 2.5vw + 1rem, 2.5rem);
  padding-inline: 0.5rem;
  max-width: 75ch;
}

.how-to a {
  color: var(--clr-text);
  font-weight: 800;
  text-decoration-style: wavy;
  text-decoration-skip-ink: none;
}

.how-to a:hover,
.how-to a:focus-visible {
  text-shadow: 1px 1px 0px var(--clr-textshadow1),
    2px 2px 0px var(--clr-textshadow1);
  color: var(--clr-textshadow2);
}

.p-space {
  margin-bottom: 2rem;
}

.how-to h3 {
  font-family: var(--font-pumpkin);
  font-size: clamp(1.5rem, 4vw + 1rem, 4rem);
  line-height: 0.9;
  text-shadow: 0.05em 0.05em 0 var(--clr-textshadow1),
    -0.03em -0.03em 0 var(--clr-textshadow2);
  border-radius: 1rem;
  padding-inline: 1rem;
  margin-block: 4rem;
}

details summary > * {
  display: inline;
}

details summary {
  cursor: pointer;
}

details summary:hover,
details summary:focus-visible {
  color: var(--clr-textshadow2);
}

.code-wrapper {
  container-type: inline-size;
  margin-bottom: 3rem;

  .caption {
    width: 95cqi;
    font-family: var(--font-pumpkin);
    font-size: 1.5rem;
    font-weight: 800;
    line-height: 1.2;
    color: var(--clr-text);
    margin-bottom: 0.5em;
    margin-inline: auto;
  }
}

code {
  font-size: clamp(1.2rem, 2vw + 1rem, 2rem);
  text-shadow: 1px 1px 0px var(--clr-cyan), 2px 2px 0px var(--clr-cyan);
}

.code-block {
  background-color: var(--clr-text);
  outline: solid 2px var(--clr-textshadow1);
  color: white;
  border-radius: 0.2em;
  overflow-x: scroll;
  padding: 1rem;
  code {
    font-size: 1rem;
    text-shadow: 1px 1px 0px var(--clr-textshadow1);
  }
  scrollbar-color: var(--clr-textshadow1) var(--clr-text);
}

.col-row-wrapper {
  --min-column-size: 400px;
  display: grid;
  container-type: inline-size;
  grid-template-columns: repeat(
    auto-fit,
    minmax(min(var(--min-column-size), 100%), 1fr)
  );
  gap: 1rem;
  margin-block: 3rem;
}

.col-row-wrapper2 {
  --min-column-size: 450px;
  display: grid;
  container-type: inline-size;
  grid-template-columns: repeat(
    auto-fit,
    minmax(min(var(--min-column-size), 100%), 1fr)
  );
  gap: 1rem;
  margin-block: 3rem;
}

.art-wrapper {
  --photo-width: clamp(260px, 45vw, 500px);
  margin: 1.5rem;
  align-self: center;
  justify-self: center;
  width: var(--photo-width);
  container-type: inline-size;
  .album-art {
    box-shadow: 0.2em 0.2em 1em 0em var(--clr-textshadow1);
  }
  .caption {
    width: 95cqi;
    text-align: center;
    font-family: var(--font-pumpkin);
    font-size: 1.5rem;
    font-weight: 800;
    line-height: 1;
    color: var(--clr-text);
    margin-top: 1em;
    margin-inline: auto;
  }
}

.figure-wrapper {
  container-type: inline-size;
  margin-bottom: 3rem;

  .caption {
    width: 95cqi;
    text-align: center;
    font-family: var(--font-pumpkin);
    font-size: 1.5rem;
    font-weight: 800;
    line-height: 0.9;
    color: var(--clr-text);
    margin-bottom: 0.25em;
    margin-inline: auto;
  }
}

.album-wrapper {
  max-width: fit-content;
  margin-inline: auto;
  padding: 1.5%;
  box-shadow: 0.25em 0.25em 1em 0em var(--clr-textshadow1);
}

.album-grid {
  --width: clamp(200px, 75cqi, 400px);
  display: grid;
  container-type: inline-size;
  height: var(--width);
  width: var(--width);
  grid-template-columns: repeat(5, calc(var(--width) / 5));
  grid-template-rows: repeat(5, calc(var(--width) / 5));
  font-family: var(--font-lizzo);
}

.album-grid-bye {
  --width: 100%;
  --height: clamp(200px, 30cqi, 400px);
  display: grid;
  container-type: inline-size;
  height: var(--height);
  width: var(--width);
  grid-template-columns: repeat(5, calc(var(--width) / 5));
  grid-template-rows: repeat(5, calc(var(--height) / 5));
  font-family: var(--font-lizzo);
}

.discovery {
  grid-column: 1 / -1;
  grid-row: 1;
  align-self: center;
  justify-self: center;
  color: white;
  font-size: 7cqi;
  letter-spacing: 5cqi;
  margin-right: -5cqi;
  font-weight: 600;
  opacity: 0.75;
  z-index: 10;
}

.lp {
  grid-column: 5;
  grid-row: 5;
  align-self: center;
  justify-self: center;
  color: white;
  font-size: 6cqi;
  letter-spacing: 1cqi;
  font-weight: 600;
  opacity: 0.75;
  z-index: 10;
}

.space-cowboy {
  grid-column: 2/-1;
  grid-row: 4;
  align-self: end;
  justify-self: center;
  color: white;
  font-size: 4cqi;
  letter-spacing: 1cqi;
  font-weight: 600;
  opacity: 0.75;
  z-index: 10;
}

.column1 {
  grid-column: 1;
  grid-row: 1 / 6;
  background: var(--grad-orange1);
  box-shadow: 0.2em 0em 10em 0em var(--clr-orange1);
  z-index: -1;
}

.column2 {
  grid-column: 2;
  grid-row: 1 / 6;
  background: var(--grad-orange2);
  box-shadow: 0.2em 0em 8em 0em var(--clr-orange2);
  z-index: -1;
}

.column3 {
  grid-column: 3;
  grid-row: 1 / 6;
  background: var(--grad-orange3);
  box-shadow: 0.1em 0em 8em 0em var(--clr-orange3);
  z-index: -1;
}

.column4 {
  grid-column: 4;
  grid-row: 1 / 6;
  background: var(--grad-orange4);
  box-shadow: 0.1em 0em 8em 0em var(--clr-orange4);
  z-index: -1;
}

.column5 {
  grid-column: 5;
  grid-row: 1 / 6;
  background: var(--grad-orange5);
  z-index: -1;
}

.row1 {
  grid-column: 1 / 6;
  grid-row: 1;
  background: var(--grad-raibow1);
  z-index: -10;
}

.row2 {
  grid-column: 1 / 6;
  grid-row: 2;
  background: var(--grad-raibow2);
  z-index: -10;
  margin-top: -2cqi;
}

.row3 {
  grid-column: 1 / 6;
  grid-row: 3;
  background: var(--grad-raibow3);
  z-index: -10;
  margin-top: -2cqi;
}

.row4 {
  grid-column: 1 / 6;
  grid-row: 4;
  background: var(--grad-raibow4);
  z-index: -10;
  margin-top: -2cqi;
}

.row5 {
  grid-column: 1 / 6;
  grid-row: 5;
  background: var(--grad-raibow5);
  z-index: -10;
  margin-top: -2cqi;
}
